Loading...
Searching...
No Matches
renderWindow.h File Reference
`#include <BALL/COMMON/global.h>`
`#include <BALL/VIEW/RENDERING/renderTarget.h>`
`#include <boost/static_assert.hpp>`
`#include <boost/type_traits/is_same.hpp>`

Go to the source code of this file.

## Classes

class | BALL::VIEW::TRenderWindow< taPixelDatatype >

## Namespaces

namespace | BALL
namespace | BALL::VIEW

## Macros

#define | BALLVIEW_IS_SAME_TYPE(aTypeA, aTypeB)
| Macro checks at compile time, whether aTypeA and aTypeB are the same.
#define | BALLVIEW_STATIC_ASSERT_TYPE_IS_CHAR_OR_FLOAT(aType)
| Macro checks at compile time, whether aType is int or float.
#define | BALL_DEFAULT_PIXEL_TYPE float

## Typedefs

typedef TRenderWindow< BALL_DEFAULT_PIXEL_TYPE > | BALL::VIEW::RenderWindow

## Macro Definition Documentation

## BALL_DEFAULT_PIXEL_TYPE

#define BALL_DEFAULT_PIXEL_TYPE float

Definition at line 21 of file renderWindow.h.

## BALLVIEW_IS_SAME_TYPE

#define BALLVIEW_IS_SAME_TYPE | ( |  | aTypeA,
|  |  | aTypeB )

Value:
(boost::is_same<aTypeA, aTypeB>::value)

Macro checks at compile time, whether aTypeA and aTypeB are the same.

Definition at line 15 of file renderWindow.h.

## BALLVIEW_STATIC_ASSERT_TYPE_IS_CHAR_OR_FLOAT

#define BALLVIEW_STATIC_ASSERT_TYPE_IS_CHAR_OR_FLOAT | ( |  | aType | ) |

Value:
BOOST_STATIC_ASSERT(BALLVIEW_IS_SAME_TYPE(aType, char) || BALLVIEW_IS_SAME_TYPE(aType, float))
BALLVIEW_IS_SAME_TYPE
#define BALLVIEW_IS_SAME_TYPE(aTypeA, aTypeB)
Macro checks at compile time, whether aTypeA and aTypeB are the same.
Definition renderWindow.h:15

Macro checks at compile time, whether aType is int or float.

Definition at line 18 of file renderWindow.h.